# $Revision: 1.38 $, $Date: 2004/06/14 08:13:17 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Memoize perl module
Summary(pl):	Modu perla Memoize
Name:		perl-Memoize
Version:	1.01
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Memoize/Memoize-%{version}.tar.gz
# Source0-md5:	8cf94cf8e9e24763ef7455c2bb0ad458
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_noautoreq	'perl(NDBM_File)'

%description
Memoize - makes your functions faster by trading space for time.

%description -l pl
Memoize - umoliwia przyspieszenie wykonywania funkcji kosztem
przestrzeni.

%prep
%setup -q -n Memoize-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO *.html
%{perl_vendorlib}/Memoize.pm
%{perl_vendorlib}/Memoize
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Memoize.spec,v $
Revision 1.38  2004/06/14 08:13:17  radek
- release 5: _noautoreq perl(NDBM_File)

Revision 1.37  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.36  2004/05/07 01:09:23  ankry
- rel. 3

Revision 1.35  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 00:50:58  ankry
- cosmetics: unification

Revision 1.33  2004/04/23 19:26:54  ankry
- tests added

Revision 1.32  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:36:55  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/09/02 16:50:04  kloczek
- (auto)updated to 1.01.

Revision 1.23  2002/07/13 23:07:25  qboosh
- BR: perl-Storable

Revision 1.22  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:01:49  depesz
- new version; should work; STBR

Revision 1.20  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/03/03 21:53:35  marcus
- rel.3.

Revision 1.18  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/10 15:28:56  depesz
adapterized

Revision 1.16  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.14  2001/09/20 11:37:13  mis
- autoupdated to 0.66

Revision 1.13  2001/06/30 12:57:54  mis
- autoupdated to 0.65

Revision 1.12  2001/04/17 12:13:02  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:19:03  mis
- updated (by autoup) to 0.62

Revision 1.9  2001/01/19 02:06:44  kloczek
- removed WHATSNEW from %doc.

Revision 1.8  2001/01/19 02:03:07  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/05/02 21:05:03  baggins
- fixed including macros

Revision 1.3  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
